Module tdlight.api
Package it.tdlight.jni

# Class TdApi.EditChatFolderInviteLink

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.ChatFolderInviteLink>
it.tdlight.jni.TdApi.EditChatFolderInviteLink

Enclosing class:
  TdApi

public static final class TdApi.EditChatFolderInviteLink extends TdApi.Function<TdApi.ChatFolderInviteLink>
Edits an invite link for a chat folder.

Returns `ChatFolderInviteLink`

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`chatFolderId`
Chat folder identifier.
`long[]`
`chatIds`
New identifiers of chats to be accessible by the invite link.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`inviteLink`
Invite link to be edited.
`String`
`name`
New name of the link; 0-32 characters.

## Constructor Summary

Constructors
Constructor
Description
`EditChatFolderInviteLink()`
Edits an invite link for a chat folder.
`EditChatFolderInviteLink(int chatFolderId, String inviteLink, String name, long[] chatIds)`
Edits an invite link for a chat folder.
`EditChatFolderInviteLink(DataInput input)`
Edits an invite link for a chat folder.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatFolderId

public int chatFolderId
Chat folder identifier.

### inviteLink

public String inviteLink
Invite link to be edited.

### name

public String name
New name of the link; 0-32 characters.

### chatIds

public long[] chatIds
New identifiers of chats to be accessible by the invite link. Use getChatsForChatFolderInviteLink to get suitable chats. Basic groups will be automatically converted to supergroups before link editing.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### EditChatFolderInviteLink

public EditChatFolderInviteLink()
Edits an invite link for a chat folder.

Returns `ChatFolderInviteLink`

### EditChatFolderInviteLink

public EditChatFolderInviteLink(int chatFolderId, String inviteLink, String name, long[] chatIds)
Edits an invite link for a chat folder.

Returns `ChatFolderInviteLink`

Parameters:
  `chatFolderId` - Chat folder identifier.
  `inviteLink` - Invite link to be edited.
  `name` - New name of the link; 0-32 characters.
  `chatIds` - New identifiers of chats to be accessible by the invite link. Use getChatsForChatFolderInviteLink to get suitable chats. Basic groups will be automatically converted to supergroups before link editing.

  Returns `ChatFolderInviteLink`

### EditChatFolderInviteLink

public EditChatFolderInviteLink(DataInput input) throws IOException
Edits an invite link for a chat folder.

Returns `ChatFolderInviteLink`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`